"use client"
import { Button } from '@/components/ui/button'
import { Dialog, DialogContent } from '@/components/ui/dialog'
import { DialogTrigger } from '@radix-ui/react-dialog'
import { FiCommand } from "react-icons/fi";
import React from 'react'
import { Command, CommandInput } from '@/components/ui/command';

const Search = () => {
  return (
    <div className=''>
        <Dialog>
            <DialogTrigger asChild>
                <Button variant="outline" className='border inline-flex items-center justify-center text-center gap-10 hover:border-textColor2'>
                    <p className='text-sm text-muted-foreground'>Search here...</p>
                    <div className='flex items-center gap-1 border border-1 p-1 rounded-lg hover:border-textColor2'><FiCommand/>
                        <span className='text-[10px]'>F</span>
                    </div>
                </Button>
            </DialogTrigger>
            <DialogContent className='p-0'>
                <Command className='rounded-lg border shadow-md'>
                    <CommandInput placeholder='Search...'/>
                    <ul className='px-3 pb-2'>
                        <p className='p-2 text-muted-foreground text-sm'>Suggestion</p>
                    </ul>
                </Command>
            </DialogContent>
        </Dialog>
    </div>
  )
}

export default Search